/**
 * Prevents triggering updates.
 */
export declare const preventUpdates: (a: any, b: any) => boolean;
/**
 * Checks if values are equal with a strict equality operator `===`.
 *
 * @param a
 * @param b
 * @returns True when values are strictly equal.
 */
export declare const strictEq: <T>(a: T, b: T) => boolean;
/**
 * Checks if objects are shallow equal.
 *
 * shallowEq algorithm is using strict equality operator `===` to
 * compare object values.
 *
 * @param a
 * @param b
 * @returns True when objects are shallow equal.
 */
export declare const shallowEq: <T extends object>(a: T, b: T) => boolean;
/**
 * Checks if arrays are shallow equal.
 *
 * shallowEqArray algorithm is using strict equality operator `===` to
 * compare array values.
 *
 * @param a
 * @param b
 * @returns True whan arrays are shallow equal.
 */
export declare const shallowEqArray: <T>(a: T[], b: T[]) => boolean;
//# sourceMappingURL=equal.d.ts.map